# Uses of Class
java.net.http.HttpClient

Packages that use HttpClient
Package
Description
java.net.http
HTTP Client and WebSocket APIs

- ## Uses of HttpClient in java.net.http

  Methods in java.net.http that return HttpClient
  Modifier and Type
  Method
  Description
  `HttpClient`
  HttpClient.Builder.`build()`
  Returns a new `HttpClient` built from the current state of this builder.
  `static HttpClient`
  HttpClient.`newHttpClient()`
  Returns a new `HttpClient` with default settings.